%define name hackwhite_dune
%define version 0.29
%define realvers 0.29beta443
%define release %mkrel 0.beta443.1

Name:		%{name}
Summary:	A graphical VRML97 editor and animation tool
Version:	%{version}
Release:	%{release}
Source:		http://www.csv.ica.uni-stuttgart.de/vrml/dune/white_dune-%{realvers}.tar.bz2
Patch0:		white_dune-missing_includes.patch.bz2
Group:		Graphics
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	bison
BuildRequires:	flex
Buildrequires:	lesstif-devel
BuildRequires:	libmesaglu-devel
URL:		http://www.csv.ica.uni-stuttgart.de/vrml/dune
BuildRoot:	%{_tmppath}/%{name}-buildroot
License:	GPL
Conflicts:	white_dune

%description
The dune program is a graphical VRML97 editor and animation tool.
VRML97 (Virtual Reality Modelling Language) is the ISO standard for
displaying 3D data over the web. It has support for animation, realtime
interaction and multimedia (image, movie, sound). VRML97 can be written
by popular programs like maya, catia, 3D Studio MAX, cinema4D and others.
Dune can read VRML97 files, display and let the user change the
scenegraph/fields. Some documentation how to use dune is included.
Beside some support for the VRML200x style nurbs node, dune has only a few
3D Modelling features. For artistic work, the usage of a static 3D modeller
with VRML97 export features is recommended. Examples for free/lowcost static
3D modellers available under Linux are sced, ppmodeler or ac3d.
Dune can load and store x3d (next generation VRML xml format) files,
if configured to work with the nist.gov x3d translators.
Advanced features of dune like the usage of 3Drevelator shutterglases with
the commercial Linux XIG X11 Server (DX/platium) require recompilation of
the source package.

%prep

%setup -q -n white_dune-%{realvers}

%patch0 -p1

%build

%configure 

rm Makefile
cd src && make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

install -s -m 755 bin/dune $RPM_BUILD_ROOT/usr/X11R6/bin/dune
install -m 644 man/dune.1 $RPM_BUILD_ROOT%{_mandir}/man1/dune.1


#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/X11R6/bin/dune"\
title="White Dune"\
longtitle="VRML 97 Editor"\
needs="x11"\
icon="graphics_section.png"\
section="Multimedia/Graphics" xdg="true"
EOF
)

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{Summary}
Exec=/usr/X11R6/bin/dune
Icon=graphics_section.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Graphics;Graphics
EOF


%post
%update_menus

%postun
%clean_menus


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs
/usr/X11R6/bin/dune
%_mandir/man1/*
%_menudir/*
%_datadir/applications/*

%changelog
* Thu Oct 12 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta443.1mdv2007.1
- beta443

* Fri Aug 25 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta421.1mdv2007.0
- beta421
- xdg

* Tue Jun 13 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta352.1mdv2007.0
- beta352

* Thu May 04 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta320.1mdk
- beta320

* Wed Apr 26 2006  Lenny Cartier <lenny@mandriva.com> 0.29-0.beta314.1mdk
- beta314

* Tue Apr 04 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta300.1mdk
- beta300

* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta295.1mdk
- beta295

* Mon Mar 20 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta291.1mdk
- beta291

* Thu Mar 09 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta287.1mdk
- beta287

* Tue Feb 07 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta267.1mdk
- beta267

* Tue Jan 31 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta264.1mdk
- beta264

* Tue Jan 24 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta262.1mdk
- beta262

* Mon Jan 23 2006 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta258.1mdk
- beta258

* Fri Dec 16 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta240.1mdk
- beta240

* Wed Nov 23 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta227.1mdk
- beta227

* Mon Oct 24 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta208.1mdk
- beta208

* Thu Oct 13 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta204.1mdk
- beta204

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta199.1mdk
- beta199

* Fri Sep 30 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta198.1mdk
- beta198

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta134.1mdk
- beta13

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 0.29-0.beta132.1mdk
- beta132

* Sat May 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta120.1mdk
- beta120

* Thu Apr 28 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta096.1mdk
- beta096

* Tue Apr 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta090.1mdk
- beta090

* Mon Apr 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta080.1mdk
- beta080

* Fri Mar 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta071.1mdk
- beta071

* Tue Mar 15 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta060.1mdk
- beta60

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta051.1mdk
- beta51

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta044.1mdk
- beta44

* Tue Jan 25 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta029.1mdk
- beta29

* Tue Jan 18 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta027.1mdk
- beta27

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta021.1mdk
- beta21

* Tue Jan 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.29-0.beta012.1mdk
- beta012

* Wed Nov 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta241.1mdk
- beta241

* Wed Nov 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta236.1mdk
- beta236

* Thu Nov 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta232.1mdk
- beta232

* Thu Oct 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta229.1mdk
- beta229

* Tue Oct 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta225.1mdk
- beta225

* Tue Oct 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta219.1mdk
- beta219

* Thu Oct 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta214.1mdk
- beta214

* Mon Oct 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta212.1mdk
- beta212

* Wed Oct 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta210.1mdk
- beta210

* Thu Sep 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta207.1mdk
- beta207

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta198.1mdk
- beta198

* Mon Sep 13 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta196.1mdk
- beta196

* Mon Sep 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta191.1mdk
- beta191

* Fri Sep 03 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta189.1mdk
- beta189

* Wed Aug 25 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta187.1mdk
- beta187

* Wed Jul 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta170.1mdk
- beta170

* Wed Jul 21 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta165.1mdk
- beta165
- patch0: add missing includes

* Tue May 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta131.1mdk
- beta131

* Tue Feb 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.27-0.beta49.1mdk
- new
